/*Copyright (C), 2024-2030
*文件名:	Wkt.c
*版  本:	Ver1.00
*日  期:	2025/04/30
*描  述:	Wkt配置
*备  注:     
**********************************************************/
#include "Wkt.h"
#include "BL51F003T.h"	
#include "stdio.h"
#include "string.h"
/**********************************************************/
/**
	* @brief  wkt中断服务
  * @param  None
  * @retval None
	*/
#if 0
void wkt_isr() interrupt 5 
{
	if(WKTCON & 0x10)
	{
		WKTCON &= 0xEF;	//清WKT中断标志
	}
}
#endif
/*WKT_LRC定时函数*/
void WKT_LRC_ms(unsigned int i)
{
	WKTCON = WKTCON&0xFC;
	WKTCON |= ((i-1)&0x03);
	WKTSS = (i-1)>>2;
}
void WKT_INIT(void)
{
#if (WKT_LRC == 1)  		//WKT中断,时钟源为LRC
	WKT_LRC_OPEN;					//WDT使能，时钟为LRC
	WKT_LRC_ms(500);			//WKT计时500ms
	INT_WKT;							//WKT中断使能
#endif
	
#if (WKT_LOSC == 1) 		//WKT中断,时钟源为LOSC
	P00_FUN_LXO;					//P00晶振口LXO配置
	P01_FUN_LXI;					//P01晶振口LXI配置
	OPEN_LOSC;						//LOSC配置打开
	WKT_LOSC_OPEN;				//WDT使能，时钟为LOSC
	WKT_LOSC_1000MS;			//WKT计时1s，如需定时请使用1s定时，48H误差约1-2s
	INT_WKT;							//WKT中断使能
#endif
}




